VERSION 5.00
Begin VB.Form frmHiScores 
   BackColor       =   &H00000000&
   BorderStyle     =   0  'None
   Caption         =   "Form1"
   ClientHeight    =   7200
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   9600
   DrawWidth       =   2
   BeginProperty Font 
      Name            =   "Verdana"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   MaxButton       =   0   'False
   MinButton       =   0   'False
   MouseIcon       =   "HiScores.frx":0000
   MousePointer    =   99  'Custom
   ScaleHeight     =   480
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   640
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.PictureBox iHiScores 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BackColor       =   &H00000000&
      BorderStyle     =   0  'None
      ClipControls    =   0   'False
      ForeColor       =   &H00FFFFFF&
      HasDC           =   0   'False
      Height          =   5190
      Left            =   3143
      Picture         =   "HiScores.frx":0152
      ScaleHeight     =   346
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   221
      TabIndex        =   0
      TabStop         =   0   'False
      Top             =   750
      Width           =   3315
      Begin VB.TextBox tName 
         Alignment       =   2  'Center
         Appearance      =   0  'Flat
         BorderStyle     =   0  'None
         Height          =   225
         Left            =   30
         MaxLength       =   3
         TabIndex        =   2
         TabStop         =   0   'False
         Top             =   555
         Visible         =   0   'False
         Width           =   1065
      End
   End
   Begin VB.Label Command 
      Alignment       =   2  'Center
      BackColor       =   &H00808080&
      Caption         =   "OK"
      ForeColor       =   &H00E0E0E0&
      Height          =   225
      Left            =   4395
      TabIndex        =   1
      Top             =   6255
      Width           =   810
   End
End
Attribute VB_Name = "frmHiScores"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'//
'// High-Scores
'//

Dim Index As Integer



Private Sub Form_Load()

    Me.Width = 640 * 15: Me.Height = 480 * 15
    
End Sub

Private Sub Form_Activate()
    
    ' Check if new high-score
    Index = IsHiScore(Score)
    If Index > 0 And Not Practice Then
        Command.Enabled = False
        tName.Top = 20 + Index * 17 + Int((Index - 1) / 3) * 35
        tName = ""
        tName.Visible = True
        tName.SetFocus
    End If
    
    ' Show table
    ShowHiScores

End Sub

'// Print High-Scores table //////////////////////////////////////////////////////////////////
Private Sub ShowHiScores()

    Dim I As Integer, tyPos
    
    iHiScores.Cls
    tyPos = 2
    
    For I = 1 To 12
        If (I - 1) Mod 3 = 0 Then tyPos = tyPos + 35
        TextOut iHiScores.hdc, 38 - TextWidth(HiScores(I).hsName) / 2, tyPos, _
                               HiScores(I).hsName, Len(HiScores(I).hsName)
        TextOut iHiScores.hdc, 103, tyPos, _
                               Format(HiScores(I).hsLevel, "00"), 2
        TextOut iHiScores.hdc, 164, tyPos, _
                               Format(HiScores(I).hsScore, "00000"), 5
        tyPos = tyPos + 17
    Next I

End Sub

'// Edit name mode if new high-score [Return] ////////////////////////////////////////////////
Private Sub tName_KeyPress(KeyAscii As Integer)
    
    If KeyAscii = vbKeyReturn Then
    
        tName = Trim(tName)
        
        HiScores(Index).hsName = tName
        HiScores(Index).hsLevel = Level
        HiScores(Index).hsScore = Score
        
        SaveHiScores
        tName.Visible = False
        ShowHiScores
        
        Command.Enabled = True
        
    End If
        
End Sub

'// OK button ////////////////////////////////////////////////////////////////////////////////
Private Sub Command_MouseDown(Button As Integer, Shift As Integer, x As Single, y As Single)
    
    ' Select command
    Line (Command.Left - 2, Command.Top - 2)- _
         (Command.Left + 54 + 2, Command.Top + 15 + 2), &HE0E0E0, B

End Sub

Private Sub Command_Click()
    
    Me.Hide

End Sub

Private Sub Command_MouseUp(Button As Integer, Shift As Integer, x As Single, y As Single)
    
    ' Unselect command
    Line (Command.Left - 2, Command.Top - 2)- _
         (Command.Left + 54 + 2, Command.Top + 15 + 2), vbBlack, B
    
End Sub

'[Return] key: return to main
Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
    
    If KeyCode = vbKeyReturn And Command.Enabled = True Then Me.Hide
    
End Sub
